Skip to main content
`Ctrl`+`K`

# numpy.strings.swapcase

strings.swapcase(a)

  Return element-wise a copy of the string with uppercase characters converted to lowercase and vice versa.

  Calls `str.swapcase` element-wise.

  For 8-bit strings, this method is locale-dependent.

  Parameters:
    a array-like, with `StringDType`, `bytes_`, or `str_` dtype

      Input array.

  Returns:
    out ndarray

      Output array of `StringDType`, `bytes_` or `str_` dtype, depending on input types

  See also

  `str.swapcase`

  Examples

      >>> import numpy as np
      >>> c=np.array(['a1B c','1b Ca','b Ca1','cA1b'],'S5'); c
      array(['a1B c', '1b Ca', 'b Ca1', 'cA1b'],
          dtype='|S5')
      >>> np.strings.swapcase(c)
      array(['A1b C', '1B cA', 'B cA1', 'Ca1B'],
          dtype='|S5')